import java.io.*;
import java.util.zip.*;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.util.zip.ZipEntry;
import java.util.zip.ZipInputStream;

public class ExtractZipFile {
	public static void main(String[] args) throws Exception {
		String fName = "bharat.zip";
		byte[] buf = new byte[1024];
		ZipInputStream zinstream = new ZipInputStream(
				new FileInputStream(fName));
		ZipEntry zentry = zinstream.getNextEntry();
		System.out.println("Name of current Zip Entry : " + zentry + "\n");
		while (zentry != null) {
			String entryName = zentry.getName();
			System.out.println("Name of  Zip Entry : " + entryName);
			FileOutputStream outstream = new FileOutputStream(entryName);
			int n;

			while ((n = zinstream.read(buf, 0, 1024)) > -1) {
				outstream.write(buf, 0, n);

			}
			System.out.println("Successfully Extracted File Name : "
					+ entryName);
			outstream.close();

			zinstream.closeEntry();
			zentry = zinstream.getNextEntry();
		}
		zinstream.close();
	}
}
